/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

:root {
  --color-1: #ffdccc;
  --color-2: #fcb1a6;
  --color-3: #fb6376;
  --color-4: #5d2a42;
  --accent-1: var(--color-1);
  --accent-2: var(--color-4);
  --x-small: calc(0.5rem + 0.5vw);
  --small: calc(1rem + 1vw);
  --medium: calc(1rem + 1.5vw);
  --large: calc(2rem + 3vw);
  --x-large: calc(2rem + 5vw);
  --icons: calc(1rem + 2vw);
}

::-webkit-input-placeholder {
  font-size: inherit;
  color: inherit;
  background-color: inherit;
  border: inherit;
  font-weight: inherit;
}

::-moz-placeholder {
  font-size: inherit;
  color: inherit;
  background-color: inherit;
  border: inherit;
  font-weight: inherit;
}

:-ms-input-placeholder {
  font-size: inherit;
  color: inherit;
  background-color: inherit;
  border: inherit;
  font-weight: inherit;
}

::-ms-input-placeholder {
  font-size: inherit;
  color: inherit;
  background-color: inherit;
  border: inherit;
  font-weight: inherit;
}

button,
a,
input,
textarea,
::placeholder {
  font-size: inherit;
  color: inherit;
  background-color: inherit;
  border: inherit;
  font-weight: inherit;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: "Poppins", sans-serif;
}

::-webkit-scrollbar {
  display: none;
}

html,
body,
* {
  scroll-behavior: smooth;
  cursor: none;
}

body {
  background-color: var(--accent-1);
}

#mouse {
  height: var(--small);
  aspect-ratio: 1;
  position: fixed;
  rotate: -45deg;
  z-index: 900;
  pointer-events: none;
}

@media (width < 800px) {
  html,
  body,
  * {
    cursor: unset;
  }
  #mouse {
    display: none;
  }
}

body {
  overflow-x: clip;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

#loader {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 100;
  border-right: 50vw solid white;
  border-left: 50vw solid white;
  border-top: 50vh solid white;
  border-bottom: 50vh solid white;
  -webkit-animation: loaderout 1s 0.5s forwards;
  animation: loaderout 1s 0.5s forwards;
  pointer-events: none;
}

#page-threshold {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 101;
  background-color: var(--accent-1);
  color: var(--accent-2);
  opacity: 0;
  pointer-events: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  font-size: var(--medium);
  font-weight: 800;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 1em;
  text-align: center;
}
@-webkit-keyframes loaderout {
  from {
    border-right: 50vw solid white;
    border-left: 50vw solid white;
    border-top: 50vh solid white;
    border-bottom: 50vh solid white;
  }
  to {
    border-right: 0 solid white;
    border-left: 0 solid white;
    border-top: 0 solid white;
    border-bottom: 0 solid white;
  }
}
@keyframes loaderout {
  from {
    border-right: 50vw solid white;
    border-left: 50vw solid white;
    border-top: 50vh solid white;
    border-bottom: 50vh solid white;
  }
  to {
    border-right: 0 solid white;
    border-left: 0 solid white;
    border-top: 0 solid white;
    border-bottom: 0 solid white;
  }
}
@-webkit-keyframes loaderin {
  from {
    border-right: 0 solid white;
    border-left: 0 solid white;
    border-top: 0 solid white;
    border-bottom: 0 solid white;
  }
  to {
    border-right: 50vw solid white;
    border-left: 50vw solid white;
    border-top: 50vh solid white;
    border-bottom: 50vh solid white;
  }
}
@keyframes loaderin {
  from {
    border-right: 0 solid white;
    border-left: 0 solid white;
    border-top: 0 solid white;
    border-bottom: 0 solid white;
  }
  to {
    border-right: 50vw solid white;
    border-left: 50vw solid white;
    border-top: 50vh solid white;
    border-bottom: 50vh solid white;
  }
}

header {
  width: 100vw;
  height: 100vh;
  position: relative;
}
#menu {
  position: absolute;
  top: -3em;
  display: none;
  z-index: 20;
  font-size: var(--large);
  width: 2em;
  aspect-ratio: 1;
  & div {
    width: 50%;
    aspect-ratio: 1;
    position: absolute;
  }
  & div:nth-of-type(1) {
    top: 0;
    left: 0;
    background: var(--color-1);
  }
  & div:nth-of-type(2) {
    top: 0;
    right: 0;
    background: var(--color-2);
  }
  & div:nth-of-type(3) {
    bottom: 0;
    left: 0;
    background: var(--color-3);
  }
  & div:nth-of-type(4) {
    bottom: 0;
    right: 0;
    background: var(--color-4);
  }
}
#menu::before {
  content: "MENU";
  position: absolute;
  top: 100%;
  left: 50%;
  translate: -50%;
  font-size: 0.5em;
  font-weight: 800;
  color: var(--accent-2);
  -webkit-transition: scale 0.3s;
  -o-transition: scale 0.3s;
  transition: scale 0.3s;
}

#menu:hover::before {
  scale: 1.05;
  -webkit-transition: scale 0.15s;
  -o-transition: scale 0.15s;
  transition: scale 0.15s;
}

.box {
  font-size: var(--x-large);

  position: absolute;
  overflow: clip;
  width: 50vw;
  height: 50vh;
  & h1 {
    font-size: var(--x-large);
    position: absolute;
    white-space: nowrap;
    text-transform: uppercase;
    font-weight: 800;
  }
}

.hover {
  -webkit-transition: scale 0.3s;
  -o-transition: scale 0.3s;
  transition: scale 0.3s;
}

.hover:hover {
  scale: 1.05;
  -webkit-transition: scale 0.15s;
  -o-transition: scale 0.15s;
  transition: scale 0.15s;
}

#box1 {
  top: 0;
  left: 0;
  background: var(--color-1);
  & h1 {
    top: 0.5em;
    left: 0.5em;
    color: var(--color-4);
  }
}
#box2 {
  top: 0;
  right: 0;
  background: var(--color-2);
  & h1 {
    top: 0.5em;
    right: 0.5em;
    text-align: right;
    color: var(--color-3);
  }
}
#box3 {
  bottom: 0;
  left: 0;
  background: var(--color-3);
  & h1 {
    bottom: 0.5em;
    left: 0.5em;
    color: var(--color-2);
  }
}
#box4 {
  bottom: 0;
  right: 0;
  background: var(--color-4);
  & h1 {
    bottom: 0.5em;
    right: 0.5em;
    text-align: right;
    color: var(--color-1);
  }
}

@media (width >= 800px) {
  .box h1 {
    padding-top: 0;
  }
}

@media (width < 800px) {
  .box {
    font-size: var(--large);
    width: 100vw;
    height: 25vh;
    height: 25lvh;
    & h1 {
      font-size: var(--large);
      bottom: unset !important;
      top: 50% !important;
      translate: 0 -50%;
    }
  }

  #box1 {
    top: 0;
  }
  #box2 {
    top: 25vh;
    top: 25lvh;
    right: unset;
    left: 0;
  }
  #box3 {
    top: 50vh;
    top: 50lvh;
    bottom: unset;
  }
  #box4 {
    top: 75vh;
    top: 75lvh;
    bottom: unset;
    right: unset;
    left: 0;
  }
}

#icon-list {
  position: relative;
  font-size: var(--icons);
  width: 100vw;
  color: var(--accent-2);
  padding: 1em 1em 0 1em;

  background-color: var(--accent-1);
  > div {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }

  & svg {
    height: 1em;
    fill: var(--accent-2);
  }
  > div > div {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 0.8em;
  }
}

section {
  font-size: var(--medium);
  width: 100vw;
  z-index: 50;
  background-color: var(--accent-2);
  color: var(--accent-1);

  & h2 {
    font-weight: 600;
  }
  & p:not(footer p) {
    font-weight: 250;
    font-size: var(--small);
  }
  .con1 p:nth-of-type(1) {
    margin-bottom: 3em;
  }
  .con1 p:nth-of-type(2) {
    margin-bottom: 1.5em;
    width: min(40ch, 80%);
  }
  .con1 p:nth-of-type(3) {
    margin-bottom: 7em;
    width: min(40ch, 80%);
  }

  .con2 p:nth-of-type(1) {
    margin-top: 3em;
    margin-bottom: 2em;
  }
  .con2 p:nth-of-type(2) {
    margin-bottom: 2em;
    width: min(40ch, 80%);
  }
  .con1,
  .con2 {
    padding: 2.5em 2em;
    position: relative;
    overflow: clip;
  }

  .con1 .dec1 {
    position: absolute;
    width: 10em;
    aspect-ratio: 1;
    border: 2em solid var(--color-3);
    left: 100%;
    bottom: 10.5em;
  }
  .con1 .dec2 {
    position: absolute;
    width: 12em;
    aspect-ratio: 1;
    border: 2em solid var(--color-2);
    left: 85%;
    bottom: 4em;
  }
  .con2 {
    width: 100vw;
    color: var(--accent-2);
    background-color: var(--accent-1);
    padding-bottom: 11em;
  }
  & button {
    padding: 0.4em 0.8em;
    font-weight: 250;
    font-size: var(--small);
    color: var(--accent-1);
    background-color: var(--accent-2);
  }
  .con2 .dec1 {
    position: absolute;
    width: 15em;
    aspect-ratio: 1;
    border: 2em solid var(--color-3);
    left: 5em;
    bottom: -14em;
  }
  .con2 .dec2 {
    position: absolute;
    width: 20em;
    aspect-ratio: 1;
    border: 2em solid var(--color-2);
    left: -4em;
    bottom: -13em;
  }
  .back-to-top {
    position: absolute;
    width: 2em;
    aspect-ratio: 1;
    bottom: 2em;
    right: 10%;
    background-color: transparent;
    border-left: 0.8em solid var(--accent-2);
    border-top: 0.8em solid var(--accent-2);
    rotate: 45deg;
    z-index: 40;
  }
}
@media (width < 800px) {
  footer {
    font-weight: 250 !important;
    font-size: calc(var(--small) * 0.8) !important;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 0.5em;
  }
  .con1 .dec1 {
    left: 85% !important;
  }

  .con1 .dec2 {
    left: 82% !important;
  }
  .con2 .dec1 {
    bottom: -11em !important;
  }
}

#skills {
  & p {
    margin-left: auto;
  }
  text-align: right;
  .con1 .dec3 {
    position: absolute;
    width: 12em;
    aspect-ratio: 1;
    border: 2em solid var(--color-1);
    right: 100%;
    bottom: 12em;
    border-radius: 50%;
    z-index: 20;
  }
  .con1 .dec4 {
    border-radius: 50%;
    position: absolute;
    width: 17em;
    aspect-ratio: 1;
    border: 2em solid var(--color-4);
    right: 80%;
    bottom: 2em;
  }

  .con2 .dec3 {
    border-radius: 50%;
    position: absolute;
    width: 12em;
    aspect-ratio: 1;
    border: 2em solid var(--color-1);
    right: 8em;
    bottom: -10em;
    z-index: 20;
  }
  .con2 .dec4 {
    border-radius: 50%;
    position: absolute;
    width: 20em;
    aspect-ratio: 1;
    border: 2em solid var(--color-4);
    right: -4em;
    bottom: -13em;
  }
  .back-to-top {
    right: unset;
    left: 10%;
  }
}

footer {
  padding: 1em 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: distribute;
  justify-content: space-around;
  font-size: var(--x-small);
  font-weight: 300;
  background-color: var(--accent-2);
  color: var(--accent-1);
}

@media (width < 800px) {
  .con1 .dec3 {
    right: 88% !important;
  }

  .con2 .dec3 {
    bottom: -8em !important;
  }
}

.hidden,
#icon-list {
  display: none;
}

.project {
  margin-bottom: 3em;
  font-size: var(--small);
  font-weight: 250;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  width: min(1100px, 100%);
  margin-inline: auto;
  .window {
    z-index: 25;
    background-color: var(--accent-1);
    width: 100%;
    aspect-ratio: 16 / 7;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    color: var(--accent-2);
    & p {
      margin-bottom: 0 !important;
    }
  }
  .window > img {
    border: 3px solid var(--accent-1);
    width: 100%;
  }
  .skills-list {
    z-index: 25;
    -ms-flex-item-align: start;
    align-self: flex-start;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    gap: 1em;
    padding: 0.6em 0;
  }
  .skill {
    z-index: 25;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }
  & iconify-icon {
    z-index: 25;
    font-size: 1.6em;
  }
  & a {
    z-index: 25;
    padding: 0.4em 0.8em;
    font-weight: 250;
    font-size: var(--small);
    color: var(--accent-2);
    background-color: var(--accent-1);
    text-decoration: none;
    display: inline;
  }
  .link-list {
    z-index: 25;
    -ms-flex-item-align: start;
    align-self: flex-start;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    gap: 1em;
    white-space: nowrap;
  }
}

#projects {
  .con2 p:nth-of-type(1) {
    width: min(40ch, 80%);
    margin-top: 1em;
  }
  .con1 .dec5 {
    position: absolute;
    width: 200vw;
    background-color: var(--color-1);
    height: 1.5em;
    right: -50vw;
    bottom: 50%;
    z-index: 20;
    rotate: 30deg;
  }
  .con1 .dec6 {
    position: absolute;
    width: 200vw;
    background-color: var(--color-4);
    height: 1.5em;
    right: -50vw;
    bottom: 55%;
    rotate: -10deg;
  }

  .con2 .dec5 {
    position: absolute;
    width: 200vw;
    background-color: var(--color-1);
    height: 1.5em;
    right: -50vw;
    bottom: -10%;
    z-index: 20;
    rotate: 15deg;
  }
  .con2 .dec6 {
    position: absolute;
    width: 200vw;
    background-color: var(--color-4);
    height: 1.5em;
    right: -50vw;
    bottom: 17%;
    rotate: -15deg;
  }
}

@media (width < 800px) {
  .con1 .dec5 {
    bottom: 55% !important;
  }

  .con2 .dec5 {
    bottom: 0% !important;
  }

  .con2 .dec6 {
    bottom: 13% !important;
  }
}

#contact {
  & p {
    margin-left: auto;
  }
  text-align: right;
  .con1 .dec7 {
    position: absolute;
    width: 12em;
    fill: transparent;
    stroke: var(--color-3);
    stroke-width: 1.5em;
    left: -10%;
    bottom: 45%;
    z-index: 20;
    overflow: visible;
    rotate: 80deg;
  }
  .con1 .dec8 {
    position: absolute;
    width: 8em;
    fill: transparent;
    stroke: var(--color-2);
    stroke-width: 2em;
    left: 0%;
    bottom: 5%;

    overflow: visible;
    rotate: -10deg;
  }
}

form {
  padding: 2em 0;
  font-size: var(--small);
  font-weight: 250;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 1em;
  width: min(30ch, 100%);
  margin-left: auto;
  & input,
  textarea {
    border-bottom: 0.1em solid var(--color-4);
    height: auto;
  }
  & textarea {
    z-index: 25;
    height: 1.5em;
    -webkit-transition: height 0.3s;
    -o-transition: height 0.3s;
    transition: height 0.3s;
    resize: none;
    overflow-y: hidden;
  }
  & button {
    z-index: 25;
    margin-top: 1em;
    background-color: var(--color-4);
    color: var(--color-1);
    -ms-flex-item-align: end;
    align-self: flex-end;
  }
  & ::placeholder {
    border: none;
  }
  & input:-webkit-autofill,
  input:-webkit-autofill:hover,
  input:-webkit-autofill:focus,
  input:-webkit-autofill:active,
  textarea:-webkit-autofill,
  textarea:-webkit-autofill:hover,
  textarea:-webkit-autofill:focus,
  textarea:-webkit-autofill:active {
    padding-left: 0.5em;
    -webkit-box-shadow: 0 0 0px 1000px var(--color-4) inset !important;
    -webkit-text-fill-color: var(--color-1) !important;
  }
}

@media (width < 800px) {
  .hide {
    display: none;
  }
  .con1 .dec7 {
    stroke-width: 3em !important;
    left: 30% !important;
    bottom: -20% !important;
  }
  .con1 .dec8 {
    stroke-width: 4em !important;
    left: 10% !important;
    bottom: -10% !important;
  }
}

#scroll-indicator {
  height: 1.5em;
  aspect-ratio: 5 / 9;
  border: 3px solid var(--accent-2);
  border-radius: 0.5em;
  position: absolute;
  z-index: 30;
  bottom: 0;
  opacity: 0;
  left: 50%;
  -webkit-transition: bottom 1s, opacity 1s;
  -o-transition: bottom 1s, opacity 1s;
  transition: bottom 1s, opacity 1s;
  &::before {
    content: "";
    width: 0.2em;
    aspect-ratio: 1;
    position: absolute;
    top: 0.2em;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    background-color: var(--accent-2);
    border-radius: 50%;
    opacity: 1;
    animation: wheel 2s infinite;
    -webkit-animation: wheel 2s infinite;
  }
}

@keyframes wheel {
  to {
    opacity: 0;
    top: 1em;
  }
}

@-webkit-keyframes wheel {
  to {
    opacity: 0;
    top: 1em;
  }
}
